.App {
  height: 97vh;
  text-align: center;
  padding: 0;
  margin: 0;
  background: linear-gradient(#bbb,transparent 1px), 
    linear-gradient( 90deg,#bbb,transparent 1px);
  background-size: 20px 20px;
  background-position: center center;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

@frames rainbow {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

.rainbow-border{
  border: 2px solid;
  border-image: linear-gradient(to right, red, orange, yellow, green, blue, indigo, violet);
  border-image-slice: 1;
  animation: rainbow 5s linear infinite;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5), 0 4px 8px rgba(0, 0, 0, 0.3);
}


.tasklist{
  height: 56px;
  width: 100%;
  max-width: 1024px;
  display: flex;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  margin-bottom: 40px;
}

.tasklist-item{
  width: 33.3%;
  height: 100%;
  border-right: 2px solid yellow;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Pacifico-Regular;
  font-size: 20px;
  color: pink;
  background-color: #FFFFFF;
  text-decoration: none;
}

.tasklist-item:nth-child(2){
  border-right: 2px solid blue;
  }

.tasklist-item:nth-child(3){
border-right: none;
}

.app-header{
  font-family: Pacifico-Regular;
  font-size: 40px;
  color: violet;
}


.input{
  height: 50px;
  width: 100%;
  max-width: 1024px;
  display: flex;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
}

.input-item {
color: pink;
width: 73%;
height: 100%;
font-family: Pacifico-Regular;
font-size: 22px;
margin-right: 16px;
padding: 0;
padding-left: 10px;
}

.input-item placeholder{
  margin-left: 10px;
}

.input-item:focus{
outline: none;
}

.input-button{
  width: 25%;
  height: 54px;
  font-family: Pacifico-Regular;
  font-size: 22px;
  color: rgb(239, 128, 253);
  padding: 0;
  cursor: pointer;
}



.checktask{
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 1024px;
  height: 40px;
  margin: 0 auto;
  margin-top: 25px;
  background-color: #FFFFFF;
}


/*.checktask::after {
  content: "";
  position: absolute;
  bottom: 15px;
  left: 0;
  width: 100%;
  height: 7px;
  background-image: linear-gradient(to right, #ff0000, #ffff00, #00ff00, #00ffff, #0000ff, #ff00ff);
  background-size: 200% 100%;
  animation: wave-animation 2s linear infinite;
} */

@keyframes wave-animation {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -200% 0;
  }
}

.checkbox-task{
  width: 22px;
  height: 22px;
  margin-right: 70px;
  margin-left: 15px;
}

.checktask-text{
  font-family: Pacifico-Regular;
  font-size: 22px;
  color: rgb(239, 128, 253);
  padding: 0;
}